View Issue Details

IDProjectCategoryView StatusLast Update
0005060Talerdeployment and operationspublic2017-06-06 14:18
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005060: auditor and exchange private keys for demo are not sufficiently backed up
DescriptionDuring the last demo update, they were destroyed. This means we had to update they keys in the wallet, which is bad.

We should either come up with some backup strategy, or commit the auditor private key to the deployment.git. This is of course rather "unconventional", but might be okay if we clearly mark it as "THIS IS A DEMO PRIVATE KEY, WE ARE NOT STUPID".
TagsNo tags attached.

Activities

Christian Grothoff

2017-06-04 20:44

manager   ~0012221

I'm fine with testing private keys in deployment.git.

Christian Grothoff

2017-06-06 13:18

manager   ~0012235

Should be fixed in ab61867..b01b207 (hopefully using the right keys ;-)).

Issue History

Date Modified Username Field Change
2017-06-04 19:32 Florian Dold New Issue
2017-06-04 19:33 Florian Dold Target Version => 0.3
2017-06-04 20:44 Christian Grothoff Note Added: 0012221
2017-06-04 21:13 Christian Grothoff Assigned To => Marcello Stanisci
2017-06-04 21:13 Christian Grothoff Status new => assigned
2017-06-04 21:13 Christian Grothoff Severity minor => trivial
2017-06-04 21:13 Christian Grothoff Product Version => SVN HEAD
2017-06-05 11:39 Christian Grothoff Target Version 0.3 => 0.4
2017-06-06 13:18 Christian Grothoff Note Added: 0012235
2017-06-06 13:18 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2017-06-06 13:18 Christian Grothoff Status assigned => resolved
2017-06-06 13:18 Christian Grothoff Resolution open => fixed
2017-06-06 13:18 Christian Grothoff Fixed in Version => 0.3
2017-06-06 13:18 Christian Grothoff Target Version 0.4 => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed